io.vertx.ext.auth.shiro

## Interface ShiroAuth

- All Superinterfaces:
    AuthProvider

      public interface ShiroAuth
      extends AuthProvider

  Factory interface for creating Apache Shiro based `AuthProvider` instances.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ROLE_PREFIX` The default role prefix

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShiroAuth` | `create(Vertx vertx, org.apache.shiro.realm.Realm realm)` Create a Shiro auth provider
    `static ShiroAuth` | `create(Vertx vertx, ShiroAuthRealmType realmType, JsonObject config)` Create a Shiro auth provider
    `ShiroAuth` | `setRolePrefix(String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.

    - ### Methods inherited from interface io.vertx.ext.auth.AuthProvider

      `authenticate`

- - ### Field Detail

    - #### DEFAULT_ROLE_PREFIX

          static final String DEFAULT_ROLE_PREFIX

      The default role prefix
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static ShiroAuth create(Vertx vertx,
                                  ShiroAuthRealmType realmType,
                                  JsonObject config)

      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `realmType` - the Shiro realm type
        `config` - the config
      Returns:
        the auth provider

    - #### create

          static ShiroAuth create(Vertx vertx,
                                  org.apache.shiro.realm.Realm realm)

      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `realm` - the Shiro realm
      Returns:
        the auth provider

    - #### setRolePrefix

          ShiroAuth setRolePrefix(String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"
      Returns:
        a reference to this for fluency

Copyright © 2015. All Rights Reserved.